Bug 1317015 (CVE-2016-2186)

Summary: CVE-2016-2186 kernel: Kernel panic on invalid USB device descriptor (powermate driver)
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, aquini, bhu, dhoward, esammons, fhrbata, iboverma, jkacur, joelsmith, jross, kernel-mgr, kstutsma, lgoncalv, lwang, matt, mcressma, mguzik, nmurray, pholasek, plougher, rvrbovsk, security-response-team, slawomir, vdronov, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-03-18 14:28:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1283384, 1317010, 1317464    
Bug Blocks: 1317020    

Description Adam Mariš 2016-03-11 17:20:29 UTC
A flaw was found in in the Linux kernel's USB device management code which could cause a crash when a device which required powermate driver.  The kernel would panic causing null pointer dereference attempting to access non existent endpoints.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1283384

Public via:

http://seclists.org/bugtraq/2016/Mar/85

This was assigned CVE-2016-2186 by Red Hat.

Comment 1 Adam Mariš 2016-03-11 17:20:45 UTC
Acknowledgments:

Name: Ralf Spenneberg (OpenSource Security)

Comment 2 Adam Mariš 2016-03-14 10:21:09 UTC
Public via:

http://seclists.org/bugtraq/2016/Mar/85

Comment 3 Adam Mariš 2016-03-14 10:22:33 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1317464]

Comment 6 Vladis Dronov 2016-03-18 14:28:45 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 7 Fedora Update System 2016-04-02 00:43:00 UTC
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-04-02 15:50:48 UTC
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-04-08 15:53:28 UTC
kernel-4.4.6-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-04-08 20:21:14 UTC
kernel-4.4.6-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.